
Redmine - Patch #23153

Plugin hooks for custom search results

2016-06-23 16:28 - okkez _

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 3.3.1   

Description

I'm a developer https://github.com/okkez/redmine_full_text_search

I want to add funcionality to sort by `upated_at` or `score`.

Please apply these patches.

Thank you.

Associated revisions

Revision 15583 - 2016-06-28 21:08 - Jean-Philippe Lang

Add params to Redmine::Search::Fetcher#initialize optional parameter (#23153).

Patch by okkez.

Revision 15584 - 2016-06-28 21:09 - Jean-Philippe Lang

Add hook view_search_index_options_content_bottom (#23153).

Patch by okkez.

Revision 15618 - 2016-07-10 09:53 - Jean-Philippe Lang

Merged r15583 and r15584 (#23153).

History

#1 - 2016-06-24 09:47 - Go MAEDA

Could you describe use cases of the changes?

#2 - 2016-06-24 09:56 - okkez _

In Redmine 3.3.0, we cannot customize search result (app/views/search/index.html.erb) at all.

I want to add new query parameter `orderby` or `sortby`.

And `Redmine::Search::Fetcher` cannot handle extra query parameters sush as `orderby` or `sortby`.

I want to use extra query parameters in my plugin that customizes `Redmine::Search::Fetcher`.

#3 - 2016-06-24 10:49 - Go MAEDA

- Target version set to 3.4.0

Thanks for the explanation. Setting target version to 3.4.0.

#4 - 2016-06-28 21:09 - Jean-Philippe Lang

- Subject changed from Customize search result to Plugin hooks for custom search results

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from 3.4.0 to 3.3.1

#5 - 2016-07-10 09:53 - Jean-Philippe Lang

- Status changed from Resolved to Closed
Files

0001-Add-params-to-Redmine-Search-Fetcher-initialize-opti.patch 1.13 KB 2016-06-23 okkez _

0002-Add-hook-view_search_index_options_content_bottom.patch 995 Bytes 2016-06-23 okkez _
